summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/console/Manifest1
-rw-r--r--dev-ruby/console/console-1.23.7.ebuild36
-rw-r--r--dev-ruby/hashicorp-checkpoint/hashicorp-checkpoint-0.1.5-r3.ebuild34
-rw-r--r--dev-ruby/immutable-ruby/Manifest1
-rw-r--r--dev-ruby/immutable-ruby/immutable-ruby-0.2.0.ebuild28
-rw-r--r--dev-ruby/ruby-odbc/Manifest1
-rw-r--r--dev-ruby/ruby-odbc/ruby-odbc-0.999992.ebuild46
7 files changed, 147 insertions, 0 deletions
diff --git a/dev-ruby/console/Manifest b/dev-ruby/console/Manifest
index 1d0f0e1e46f8..c48510f1f9e3 100644
--- a/dev-ruby/console/Manifest
+++ b/dev-ruby/console/Manifest
@@ -2,3 +2,4 @@ DIST console-1.23.2.tar.gz 27339 BLAKE2B 46d411a63934673bb956d9e898c00db08d16e0a
DIST console-1.23.3.tar.gz 27768 BLAKE2B e421b6fd7ff0490dcdf9096843be9770b3a87e811ee6e222a45d92d3bebf3f4359428f268a82b6565eb68b9b4f37b136d8d36d9dd3d89b84b541d1ee914283af SHA512 2a1e5f1c8a589493138e1099aa985627314f1e938e7f98415b9cffb37d71dc58f9a6e40ea4d52c0f3be005b9ddb4ad5818ed4eab91b9528058d0ae270375abee
DIST console-1.23.5.tar.gz 27830 BLAKE2B fe90b745cc8db2e0b03589afd0c237ec5819547376384a86d5f06882148718cc0f7de2fcc1b72241e616d70feea3f2d8a4d675fb605986bf54224b374b2c116d SHA512 7425a226f6f8b9504ba58dcce5a7c879a320e4565277c0f70aec0d811db3b132be1e0e21c03e42321438602758f12a328258ebf7ad9719bf84572760f816989e
DIST console-1.23.6.tar.gz 27883 BLAKE2B e70ddeb8625fb4b8f700f7e1b60295dcf2ddbd1b7cc666975aa883fccbd1cf8e3c2f177938c536e696e95bb8fa3153ce61f70710cbf5dfda6058ce085ec18792 SHA512 0ae48383dedb176bdff5ead3db97a228cee498e5f6a6938e4d9882b3c363ea8b9286bb7089806f664df635d98039c9dca52c8d8afece505d38b12af5ee3aa41c
+DIST console-1.23.7.tar.gz 27888 BLAKE2B bfbf447497b91d33248e5a502c6f4522467de3f49c4eb8f51c48f93b17fe12a15ba4352df4f5a3d9f6567fcad1edef05527aa288ef00175acc1868291e215416 SHA512 3057e8f29c8c9d8b6dd37cbf8d8daaea8d00429a623ca92161a2294feeae10f7d83cc418e008de258f84a53ee1464f091f5e7405ac347a2785f3b36d7924966f
diff --git a/dev-ruby/console/console-1.23.7.ebuild b/dev-ruby/console/console-1.23.7.ebuild
new file mode 100644
index 000000000000..3ddf1603f2f0
--- /dev/null
+++ b/dev-ruby/console/console-1.23.7.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_EXTRADOC="readme.md"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+RUBY_FAKEGEM_RECIPE_TEST="sus"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Beautiful logging for Ruby"
+HOMEPAGE="https://github.com/socketry/console"
+SRC_URI="https://github.com/socketry/console/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+ruby_add_rdepend "
+ dev-ruby/fiber-annotation
+ dev-ruby/fiber-local
+ dev-ruby/json
+"
+
+all_ruby_prepare() {
+ sed -i -E 's/require_relative "(.+)"/require File.expand_path("\1")/g' "${RUBY_FAKEGEM_GEMSPEC}" || die
+
+ # Avoid dependency on covered.
+ rm -f config/sus.rb || die
+
+ # Avoid sandbox violation during tests
+ sed -i -e 's:/tmp/:'"${TMPDIR}"'/:' test/console/output.rb || die
+}
diff --git a/dev-ruby/hashicorp-checkpoint/hashicorp-checkpoint-0.1.5-r3.ebuild b/dev-ruby/hashicorp-checkpoint/hashicorp-checkpoint-0.1.5-r3.ebuild
new file mode 100644
index 000000000000..f333efc74aed
--- /dev/null
+++ b/dev-ruby/hashicorp-checkpoint/hashicorp-checkpoint-0.1.5-r3.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Internal HashiCorp service to check version information"
+HOMEPAGE="https://www.hashicorp.com"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+
+# Tests require network
+RESTRICT="test"
+
+ruby_add_bdepend "
+ test? ( dev-ruby/rspec-its )
+"
+
+all_ruby_prepare() {
+ # remove bundler support
+ sed -i '/[Bb]undler/d' Rakefile || die
+
+ # Make tests compatible with new ruby versions
+ sed -i -e '/check/ s/opts/**opts/' spec/checkpoint_spec.rb || die
+}
diff --git a/dev-ruby/immutable-ruby/Manifest b/dev-ruby/immutable-ruby/Manifest
index c9f514f4076f..80f3707a3c20 100644
--- a/dev-ruby/immutable-ruby/Manifest
+++ b/dev-ruby/immutable-ruby/Manifest
@@ -1 +1,2 @@
DIST immutable-ruby-0.1.0.tar.gz 134479 BLAKE2B c113ab9bf6b9accdc40eed351cc3177745e52926546d3c4c001786b47790b2c2eba97dfd0751000fd51ad11eb760039c82a2c6f0618776d87a460a16bfc1b9cf SHA512 3136884f791f0d9c1e460a848192723753f5c63f230faa2cec32445ea875392871d38de09222521fd78493397561a4dddbc61e9b020d5089d1c90694c46bde19
+DIST immutable-ruby-0.2.0.tar.gz 134294 BLAKE2B dd50a191e5cf22dc80a84cea0b74f16fe635b0ef5d6f0d33e6b2c340b29b2f555a740f1260bce48f1b568019cfbd2307160acd0d88bf256cfb38017f08dbc4b2 SHA512 b98f83f4c6631018dc8215f5374ad2997e2d704fb6ef023df04f8f9df35ebe7f4db6a4a5d93404d4af276cf9c3477707f42c2dc49e1fd305c473d65115ca6689
diff --git a/dev-ruby/immutable-ruby/immutable-ruby-0.2.0.ebuild b/dev-ruby/immutable-ruby/immutable-ruby-0.2.0.ebuild
new file mode 100644
index 000000000000..37733c45a68c
--- /dev/null
+++ b/dev-ruby/immutable-ruby/immutable-ruby-0.2.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_GEMSPEC="immutable-ruby.gemspec"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Efficient, immutable, thread-safe collection classes for Ruby"
+HOMEPAGE="https://github.com/immutable-ruby/immutable-ruby"
+SRC_URI="https://github.com/immutable-ruby/immutable-ruby/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+
+ruby_add_rdepend "
+ >=dev-ruby/concurrent-ruby-1.1:1
+ dev-ruby/sorted_set:0
+"
+
+all_ruby_prepare() {
+ sed -i -e '/pry/ s:^:#:' spec/spec_helper.rb spec/lib/immutable/vector/insert_spec.rb || die
+}
diff --git a/dev-ruby/ruby-odbc/Manifest b/dev-ruby/ruby-odbc/Manifest
index 3c3051d5f12e..68c562527d41 100644
--- a/dev-ruby/ruby-odbc/Manifest
+++ b/dev-ruby/ruby-odbc/Manifest
@@ -1 +1,2 @@
DIST ruby-odbc-0.999991.tar.gz 77110 BLAKE2B dd32698811f14e05f1190ffd73b390fa02924a1dd936db0b2b3c6ac9d8d8663f5d400ff89e03591081b45d558378a76701cf6b8be8502297a141c271dde3c24b SHA512 3f1e2e75e31f10f47392cda1cd28aa54451a499c3bd6e9224466a7b338406835a5d453600e79a3bac040197397c31d9f744567969058969685d6f4e06e72addb
+DIST ruby-odbc-0.999992.tar.gz 77614 BLAKE2B 5103a656ab43740682532bfac453e1d98ed50b39bdcb5ebc374498da47d379aa6e808073decdbbf1029c6a8b7ee87f862b790b6b12658b05f66d13699fcfe6fb SHA512 b4eee475ad93d112d51ef7955dc2df60b035e87338d991bc069e59d77918ab08a7e96069d975be156e57d401fea4b2ee57486dc7caf83f9dfac9fe49f935607b
diff --git a/dev-ruby/ruby-odbc/ruby-odbc-0.999992.ebuild b/dev-ruby/ruby-odbc/ruby-odbc-0.999992.ebuild
new file mode 100644
index 000000000000..93bc4436c676
--- /dev/null
+++ b/dev-ruby/ruby-odbc/ruby-odbc-0.999992.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_TASK_TEST=""
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README ChangeLog"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/extconf.rb ext/utf8/extconf.rb)
+
+RUBY_FAKEGEM_GEMSPEC="ruby-odbc.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="RubyODBC - For accessing ODBC data sources from the Ruby language"
+HOMEPAGE="http://www.ch-werner.de/rubyodbc/"
+SRC_URI="http://www.ch-werner.de/rubyodbc/${P}.tar.gz"
+
+LICENSE="|| ( GPL-2 Ruby-BSD )"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="test"
+
+DEPEND="${DEPEND} >=dev-db/unixODBC-2.0.6"
+RDEPEND="${RDEPEND} >=dev-db/unixODBC-2.0.6"
+
+# tests require to have an ODBC service enabled, so we can't run them
+# for now :(
+RESTRICT=test
+
+all_ruby_prepare() {
+ # Make sure that it doesn't try to use the absolute-local path for
+ # the extension as we'd be unable to run it properly otherwise.
+ sed -i -e 's:\./odbc:odbc:' test/{,utf8/}test.rb || die
+
+ # Since lib should not get installed avoid it entirely…
+ mv lib contrib || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+ dodoc doc/*.html
+}